Summary: Generic linux kernel
Name: kernel-alpha
%define version 2.0.34
Version: %{version}
Release: 0
Copyright: GPL
Group: Base/Kernel
ExcludeArch: sparc
ExclusiveOS: Linux
Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.0/linux-2.0.33.tar.gz
Source1: kernel-config.axp
Source2: module-info
Patch0: patch-2.0.34pre11b.gz
Patch1: alpha-patches-pre34-11b.gz
BuildRoot: /var/tmp/kernel
Provides: module-info
Autoreqprov: no
Requires: initscripts >= 3.0

%package -n kernel-source
Requires: kernel-headers = %{version}
Summary: Kernel source tree
Group: Base/Kernel

%package -n kernel-headers
Summary: Header files for the Linux kernel.
Group: Base/Kernel

%description
This package contains the Linux kernel that is used to boot and run
your system. It contains few device drivers for specific hardware.
Most hardware is instead supported by modules loaded after booting.

%description -n kernel-source
This is the source code for the Linux kernel. It is required to build
most C programs as they depend on constants defined in here. You can
also build a custom kernel that is better tuned to your particular
hardware.

%description -n kernel-headers
These are the C header files for the Linux kernel, which define structures
and constants that are needed when building most standard programs under
Linux, as well as to rebuild the kernel.

%prep
if [ "X" != "${RPM_BUILD_ROOT}X" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/src/
cd $RPM_BUILD_ROOT/usr/src
tar xzf $RPM_SOURCE_DIR/linux-2.0.33.tar.gz
chown -R 0.0 linux

mv linux linux-%{version}
ln -sfn linux-%{version} linux

cd linux-%{version}

%patch0 -p1
%patch1 -p1

cp Makefile Makefile.orig
sed 's/^ARCH =.*/ARCH = alpha/' < Makefile.orig > Makefile

cp $RPM_SOURCE_DIR/kernel-config.axp arch/alpha/defconfig

%build
cd $RPM_BUILD_ROOT/usr/src/linux-%{version}
make oldconfig
make dep
make symlinks
make include/linux/version.h

# this is dumb :-)
make -C scripts/lxdialog all

%install
mkdir -p $RPM_BUILD_ROOT/usr/include
for n in asm linux scsi; do
    ln -sf ../src/linux/include/$n $RPM_BUILD_ROOT/usr/include/$n
done

cd $RPM_BUILD_ROOT/usr/src/linux-%{version}
mkdir -p $RPM_BUILD_ROOT/boot
cp $RPM_SOURCE_DIR/module-info $RPM_BUILD_ROOT/boot/module-info-%{version}

%clean
if [ "X" != "${RPM_BUILD_ROOT}X" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

%post
cd /boot
ln -sf module-info-%{version} module-info

%post -n kernel-headers
cd /usr/src
ln -snf linux-%{version} linux

%post -n kernel-source
cd /usr/src
ln -snf linux-%{version} linux

%postun -n kernel-headers

if [ -L /usr/src/linux ]; then 
    if [ `ls -l /usr/src/linux | awk '{ print $11 }'` = "linux-%{version}" ]; then
	rm -f /usr/src/linux
    fi
fi

%files -n kernel-source
%dir /usr/src/linux-%{version}
/usr/src/linux-%{version}/COPYING
/usr/src/linux-%{version}/CREDITS
/usr/src/linux-%{version}/Documentation
/usr/src/linux-%{version}/MAINTAINERS
/usr/src/linux-%{version}/Makefile
/usr/src/linux-%{version}/Makefile.orig
/usr/src/linux-%{version}/README
/usr/src/linux-%{version}/Rules.make
/usr/src/linux-%{version}/arch
/usr/src/linux-%{version}/drivers
/usr/src/linux-%{version}/fs
/usr/src/linux-%{version}/init
/usr/src/linux-%{version}/ipc
/usr/src/linux-%{version}/kernel
/usr/src/linux-%{version}/lib
/usr/src/linux-%{version}/mm
/usr/src/linux-%{version}/modules
/usr/src/linux-%{version}/net
/usr/src/linux-%{version}/scripts

%files -n kernel-headers
/usr/src/linux-%{version}/include/asm
/usr/src/linux-%{version}/include/asm-generic
/usr/src/linux-%{version}/include/linux
/usr/src/linux-%{version}/include/net
/usr/src/linux-%{version}/include/scsi
/usr/include/asm
/usr/include/linux
/usr/include/scsi
/usr/src/linux-%{version}/include/asm-alpha
